com.amazonaws.services.simpleworkflow.model

## Class WorkflowTypeDetail

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.WorkflowTypeDetail

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowTypeDetail
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains details about a workflow type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowTypeDetail()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowTypeDetail` `clone()`
`boolean` `equals(Object obj)`
`WorkflowTypeConfiguration` `getConfiguration()` Configuration settings of the workflow type registered through RegisterWorkflowType
`WorkflowTypeInfo` `getTypeInfo()` General information about the workflow type.
`int` `hashCode()`
`void` `setConfiguration(WorkflowTypeConfiguration configuration)` Configuration settings of the workflow type registered through RegisterWorkflowType
`void` `setTypeInfo(WorkflowTypeInfo typeInfo)` General information about the workflow type.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowTypeDetail` `withConfiguration(WorkflowTypeConfiguration configuration)` Configuration settings of the workflow type registered through RegisterWorkflowType
`WorkflowTypeDetail` `withTypeInfo(WorkflowTypeInfo typeInfo)` General information about the workflow type.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowTypeDetail

    public WorkflowTypeDetail()

### Method Detail

#### setTypeInfo

    public void setTypeInfo(WorkflowTypeInfo typeInfo)

General information about the workflow type.

The status of the workflow type (returned in the WorkflowTypeInfo structure) can be one of the following.

- REGISTERED: The type is registered and available. Workers supporting this type should be running.
- DEPRECATED: The type was deprecated using DeprecateWorkflowType, but is still in use. You should keep workers supporting this type running. You cannot create new workflow executions of this type.

Parameters:
  `typeInfo` - General information about the workflow type.

  The status of the workflow type (returned in the WorkflowTypeInfo structure) can be one of the following.

  - REGISTERED: The type is registered and available. Workers supporting this type should be running.
  - DEPRECATED: The type was deprecated using DeprecateWorkflowType, but is still in use. You should keep workers supporting this type running. You cannot create new workflow executions of this type.

#### getTypeInfo

    public WorkflowTypeInfo getTypeInfo()

General information about the workflow type.

The status of the workflow type (returned in the WorkflowTypeInfo structure) can be one of the following.

- REGISTERED: The type is registered and available. Workers supporting this type should be running.
- DEPRECATED: The type was deprecated using DeprecateWorkflowType, but is still in use. You should keep workers supporting this type running. You cannot create new workflow executions of this type.

Returns:
  General information about the workflow type.

  The status of the workflow type (returned in the WorkflowTypeInfo structure) can be one of the following.

  - REGISTERED: The type is registered and available. Workers supporting this type should be running.
  - DEPRECATED: The type was deprecated using DeprecateWorkflowType, but is still in use. You should keep workers supporting this type running. You cannot create new workflow executions of this type.

#### withTypeInfo

    public WorkflowTypeDetail withTypeInfo(WorkflowTypeInfo typeInfo)

General information about the workflow type.

The status of the workflow type (returned in the WorkflowTypeInfo structure) can be one of the following.

- REGISTERED: The type is registered and available. Workers supporting this type should be running.
- DEPRECATED: The type was deprecated using DeprecateWorkflowType, but is still in use. You should keep workers supporting this type running. You cannot create new workflow executions of this type.

Parameters:
  `typeInfo` - General information about the workflow type.

  The status of the workflow type (returned in the WorkflowTypeInfo structure) can be one of the following.

  - REGISTERED: The type is registered and available. Workers supporting this type should be running.
  - DEPRECATED: The type was deprecated using DeprecateWorkflowType, but is still in use. You should keep workers supporting this type running. You cannot create new workflow executions of this type.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setConfiguration

    public void setConfiguration(WorkflowTypeConfiguration configuration)

Configuration settings of the workflow type registered through RegisterWorkflowType

Parameters:
  `configuration` - Configuration settings of the workflow type registered through RegisterWorkflowType

#### getConfiguration

    public WorkflowTypeConfiguration getConfiguration()

Configuration settings of the workflow type registered through RegisterWorkflowType

Returns:
  Configuration settings of the workflow type registered through RegisterWorkflowType

#### withConfiguration

    public WorkflowTypeDetail withConfiguration(WorkflowTypeConfiguration configuration)

Configuration settings of the workflow type registered through RegisterWorkflowType

Parameters:
  `configuration` - Configuration settings of the workflow type registered through RegisterWorkflowType
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowTypeDetail clone()

Overrides:
  `clone` in class `Object`